#include <stdio.h>
#include <stdlib.h>

int main()
{
  int n,i,j;
  
  scanf("%d",&n);
  
  if(n<=0)
  {
    printf("-1");
    return -1;
  }
  
  for(i=0; i<n; i++)
  {
    for(j=0; j<n; j++)
    {
      if(j==n-1)
	printf("*");
      else if(j<n-i-1)
	printf(" ");
      else
	printf("*A");
    }
    printf("\n");
  }
  
  
  
  return 0;
}
